<script setup lang="ts" name="OutSideDetail">
import { ref } from 'vue'
// import { useRoute } from 'vue-router'
import DetailFlow from './modules/DetailFlow.vue'

import { onLoad } from '@dcloudio/uni-app'
// const route = useRoute()

const id = ref('')
const instanceId = ref('')
onLoad((option) => {
  console.log('option',option)
  id.value = option.id
  instanceId.value = option.instanceId
  // console.log(route.query)
})

</script>

<template>
  <div class="container full">
    <div class="container__body">
      <div class="container__card flex">
        <DetailFlow v-if="id && instanceId" :id="id" :instance-id="instanceId" />
      </div>
    </div>
  </div>
</template>

<style lang="less" scoped>
</style>
